:root {
  --background-color: #ffffff;
  --background-second-color: #2e2f42;
  --active-link-color: #4d5ae5;
  --active-button-colore: #404bbf;
  --primary-font: "Roboto", sans-serif;
  --text-color: #434455;
  --text-color-second: #2e2f42;
  --logo-color: #4d5ae5;
  --button-collor: #f4f4fd;
  --bachgr-modal: rgba(46, 47, 66, 0.4);
  --svg-fill-collor: #8e8f99;
  --svg-hover-color: #404bbf;
}

body {
  font-family: var(--primary-font);
  color: var(--text-color);
  background-color: var(--background-color);
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0;
}
ul,
ol {
  margin-top: 0;
  margin-bottom: 0;
  margin-left: 0;
  padding: 0;
  list-style: none;
}
img {
  display: block;
  max-width: 100%;
}
.no-sctoll {
  overflow: hidden;
}

.link {
  text-decoration: none;
}
.list {
  list-style: none;
}
.container {
  max-width: 767px;
  width: 100%;
  padding-right: 15px;
  padding-left: 15px;
  margin: 0 auto;
}

.header {
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
  border-bottom: 1px solid #e7e9fc;
}

/*-------------------Logo info------------------------*/
.logo {
  font-family: "Raleway", sans-serif;
  font-size: 18px;
  font-weight: 800;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-align: left;
  text-transform: uppercase;
  color: var(--logo-color);
  /* margin-right: 76px; */
  padding: 24px 0;
}
.link-header {
  display: none;
}

.second-logocolor-logo {
  color: #2e2f42;
}
.humburger-svg {
  fill: black;
}

.hamburder-btn {
  background-color: #ffffff;
  border: none;
}
.header-menu {
  display: none;
  /* position: relative;
  gap: 40px; */
}
.studio-color {
  color: var(--active-button-colore);
}
.portfolio-color {
  color: var(--active-button-colore);
}

/*-------------------------Navigation section---------------------------*/
.contact-link {
  color: var(--text-color-second);
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
  padding: 24px 0;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.contact-link:hover,
.contact-link:active,
.contact-link:focus {
  color: #404bbf;
}
.nav-container {
  display: flex;
  align-items: center;

  justify-content: space-between;
}
.current {
  position: relative;
}
.current::after {
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 4px;
  border-radius: 2px;
  bottom: -1px;
  background-color: var(--active-button-colore);
  left: 0;
}

/*------------------------------address----------------------------*/
.address-container {
  font-style: normal;
  position: relative;
}
.address-link {
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--text-color);
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.address-link:hover,
.address-link:active,
.address-link:focus {
  color: #404bbf;
}

.mob-menu {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: var(--background-color);
  box-shadow: 0px 1px 6px 0px rgba(46, 47, 66, 0.08),
    0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 2px 1px 0px rgba(46, 47, 66, 0.08);
  width: 100%;
  max-width: 428px;
  height: 100%;
  top: 0px;
  left: 0px;
  padding-left: 40px;
  z-index: 2;
}
.close-menu-button {
  display: flex;
  position: absolute;
  cursor: pointer;
  top: 24px;
  right: 24px;
  border-radius: 50%;
  justify-content: center;
  background-color: transparent;
  align-items: center;
  width: 24px;
  height: 24px;
  padding: 0;
  fill: #2e2f42;
  border: 1px solid rgba(0, 0, 0, 0.1);
}

.menu-button-svg {
}

.header-mob-menu {
  display: flex;
  flex-direction: column;
  margin-top: 80px;
  gap: 40px;
}

.contact-link-mob {
  color: var(--text-color-second);
  font-weight: 700;
  letter-spacing: 0;
  text-transform: capitalize;
  font-size: 36px;
  line-height: 1.1;
  letter-spacing: 0.01em;
  text-align: left;
  padding: 0;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.contact-link-mob:hover,
.contact-link-mob:active,
.contact-link-mob:focus {
  color: #404bbf;
}

.link-mob-header {
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin-bottom: 48px;
  justify-content: center;
  cursor: pointer;
}

.address-mob-link {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.025em;
  color: #434455;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    font-size 250ms cubic-bezier(0.4, 0, 0.2, 1),
    font-weight 250ms cubic-bezier(0.4, 0, 0.2, 1),
    align-items 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.address-mob-link:hover,
.address-mob-link:focus,
.address-mob-lin:active {
  font-size: 36px;
  font-weight: 700;
  letter-spacing: 0.01em;
  color: var(--active-link-color);
  align-items: center;
}

.mob-social-icons {
  display: flex;
  justify-content: space-between;
  padding-bottom: 40px;
  margin-right: 40px;
}
.mob-soc-ico-iteam {
}
.mob-soc-link {
  padding: 8px;
  display: flex;
  width: 100%;
  height: 100%;
  background-color: var(--active-link-color);
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.mob-soc-link:hover,
.mob-soc-link:focus,
.mob-soc-link:active {
  background-color: #31d0aa;
}

.mob-svg {
  fill: #f4f4fd;
}
/**-------------------menu battons------------------------**/
/**-------------------menu battons------------------------**/

.main-title-container {
  background-color: var(--background-second-color);
  background-image: linear-gradient(
      rgba(46, 47, 66, 0.7),
      rgba(46, 47, 66, 0.7)
    ),
    url(../images/Dark-bg-mob.jpg);
  background-repeat: no-repeat;
  background-position: 50% 50%;
  background-size: cover;
  max-width: 767px;
  width: 100%;
  margin: 0 auto;
  padding: 112px 0;
}

@media (min-device-pixel-ratio: 2),
  (min-resolution: 192dpi),
  (min-resolution: 2dppx) {
  .main-title-container {
    background-color: var(--background-second-color);
    background-image: linear-gradient(
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/Dark-bg-mob-2x.jpg);
  }
}

.main-title {
  font-size: 36px;
  line-height: 1.07;
  text-align: center;
  letter-spacing: 0.02em;
  color: #ffffff;
  max-width: 496px;
  margin: 0 auto;
}

.title-container {
  margin: 0 auto;

  max-width: 1140px;
  width: 100%;
}
.main-button {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  background-color: #4d5ae5;
  color: #ffffff;
  cursor: pointer;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
  padding: 16px 32px;
  display: block;
  margin: 0 auto;
  margin-top: 48px;
  min-width: 169px;
  height: 56px;
  border: none;
  border-radius: 4px;
}
.main-button:hover,
.main-button:active,
.main-button:focus {
  background-color: #404bbf;
}

/*-----------------------About company------------------------------*/
.about-company-title {
  font-size: 36px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--text-color-second);
  margin-bottom: 8px;
}

.abaut-company-text {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--text-color);
}

.position-svg-ac {
  display: none;
  align-items: center;
  justify-content: center;
  height: 112px;
  padding: 24px 100px;
  background-color: #f4f4fd;

  border-radius: 4px;
  margin-bottom: 8px;
}
.svg-about-company {
  fill: var(--button-collor);
}

.section-company {
  padding: 120px 0;
}

.about-company-container {
  display: flex;
  flex-direction: column;
  gap: 72px;
}

.list-container {
  /* width: calc((100% - 72px) / 4); */

  position: relative;
}

/*---------------------What are we doing section-----------------------------*/
.studio-section {
  display: none;
}

/*---------------------------Team seaction----------------------------*/
.team-container {
  background: #f4f4fd;
  padding: 96px 0;
}

.team-title {
  font-size: 36px;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.02em;
  text-align: center;
  text-transform: capitalize;
  color: var(--text-color-second);
  width: 0 auto;
  margin-bottom: 72px;
}

.team_list {
  background: #ffffff;
  max-width: 264px;
  /* width: calc((100% - 72px) / 4); */
  border-radius: 0 0 4px 4px;
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0 08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}

.team-name-title {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--text-color-second);
  margin-bottom: 8px;
  text-align: center;
}

.team-name-text {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
  color: var(--text-color);
  margin-bottom: 8px;
}
.employee-list {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 72px;
}

.social-icons {
  display: flex;
  gap: 24px;
  justify-content: center;
}
.soc-link {
  width: 100%;
  height: 100%;
  background-color: var(--active-link-color);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.soc-link:hover,
.soc-link:focus {
  background-color: #404bbf;
}

.soc-ico-iteam {
  width: 40px;
  height: 40px;
}
.employee-name {
  padding: 32px 0;
  box-shadow: 0px 2px 1px 0px rgba(46, 47, 66, 0.08),
    0px 1px 1px 0px rgba(46, 47, 66, 0.16),
    0px 1px 6px 0px rgba(46, 47, 66, 0.08);
}
/*-----------------CUSTOMERS--------------------------*/
.customers {
  padding: 120px 0;
}

.customers-title {
  color: var(--background-second-color);
  font-size: 36px;
  text-align: center;
  font-style: normal;
  font-weight: 700;
  line-height: 1.11;
  letter-spacing: 0.72px;
  text-transform: capitalize;
  margin-bottom: 72px;
}

.customers-item {
  width: calc((100% - 16px) / 2);
  height: 88px;
  width: 168px;
}

.customer-link {
  width: 100%;
  height: 100%;
  padding: 16px 32px;
  border-radius: 4px;
  border: 1px solid var(--svg-fill-collor);
  display: flex;
  fill: var(--svg-fill-collor);
  color: var(--svg-fill-collor);
  align-items: center;
  justify-content: center;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.customer-link:hover,
.customer-link:active,
.customer-link:focus {
  color: var(--svg-hover-color);
  border-color: #404bbf;
}
.customer-svg {
  fill: currentColor;
}

.customers-icons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 72px 16px;
}

/*---------------------------Footer-----------------------------------*/

.footer-container {
  background: #2e2f42;
}
.footer-logo-second {
  color: #f4f4fd;
}
.footer-text {
  font-family: Roboto;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
  color: #f4f4fd;
}
.fooer-soc-ico-iteam {
  width: 40px;
  height: 40px;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.footer-soc-link {
  display: flex;
  width: 100%;
  height: 100%;
  background-color: var(--active-link-color);
  border-radius: 50%;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.footer-soc-link:hover,
.footer-soc-link:focus {
  background-color: #31d0aa;
}

.footer-svg {
  fill: var(--button-collor);
}
.footer-social-icons {
  display: flex;
  gap: 16px;
  justify-content: center;
}

.studio-social-media .footer-text {
  padding-top: 4px;
  padding-bottom: 4px;
  margin-bottom: 16px;
}
.footer-position {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: baseline;
  gap: 72px;
}
.studio-social-media {
  /* margin-right: 80px; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  margin: 0 auto;
}

.footer-container {
  padding-top: 100px;
  padding-bottom: 100px;
}
.footer-text {
  max-width: 264px;
  font-weight: 500;
  color: #ffffff;
}
.fooret-logo-text {
  /* margin-right: 120px; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
}
.footer-subscribe {
  display: flex;
  flex-direction: column;
  gap: 24px;
  justify-content: center;
  align-items: center;
}
.sbc-container .footer-text {
  margin-bottom: 16px;
}
.sbc-container {
  margin: 0 auto;
  /* width: 100%; */
}
.footer-subs-text {
  text-align: center;
  font-family: Roboto;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  margin-bottom: 16px;
  color: #f4f4fd;
}

.subescribe-inbut {
  display: flex;
  font-size: 12px;
  line-height: 1.5;
  letter-spacing: 0.04em;
  background-color: transparent;
  outline: transparent;
  border-radius: 4px;
  border: 1px solid var(--white, #fff);
  opacity: 0.30000001192092896;
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.15);
  width: 200px;
  color: var(--background-color);
  padding-left: 16px;
  height: 40px;
  filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.15));
}
.subescribe-inbut::placeholder {
  color: var(--background-color);
  font-size: 12px;
}
.subscr-button {
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  width: 165px;
  height: 40px;
  color: var(--background-color);
  background-color: var(--logo-color);
  text-align: center;
  justify-content: center;
  align-items: center;
  display: flex;
  cursor: pointer;
  border: none;
  border-radius: 4px;
}

.button-container {
  display: flex;
  flex-wrap: wrap;
  max-width: 380px;
  justify-content: start;
  margin-bottom: 48px;
  gap: 16px 24px;
}

.logo-footer {
  display: inline-block;
  margin-bottom: 16px;
  padding: 0;
}
.subscrite-svg {
  margin-left: 16px;
}

.menu-container {
  padding-top: 48px;
  padding-bottom: 120px;
}

.service-container {
  display: flex;
  flex-direction: column;
  gap: 48px;
}

.list-link {
  padding: 32px 16px;

  border-top: none;
}
.
/*=====================PORTFOLIO=========================*/
/* --------------------- Menu buttons------------------------- */

.menu-container
.button-container {
  position: relative;
}

.menu-button {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  color: var(--active-link-color);
  background-color: var(--button-collor);
  cursor: pointer;
  box-shadow: none;
  display: block;
  padding: 8px 16px;
  border-radius: 4px;
  border: 1px solid #e7e9fc;
  transition: color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.menu-button:hover,
.menu-button:active,
.menu-button:focus {
  background-color: #404bbf;
  color: #ffffff;
  border: 1px solid transparent;
  box-shadow: 0px 3px 1px rgba(0, 0, 0, 0.1), 0px 2px 1px rgba(0, 0, 0, 0.08),
    0px 2px 2px rgba(0, 0, 0, 0.12);
}
/*-------------------content portfolio---------------------------*/
.content-title {
  font-size: 20px;
  font-weight: 500;
  line-height: 1.2;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--text-color-second);
  margin-bottom: 8px;
}

.p-body-font {
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: left;
  color: var(--text-color);
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.service-link {
  display: block;
  transition: box-shadow 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.service-link:hover,
.service-link:focus {
  box-shadow: 0px 1px 6px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}

.service-link:hover .cover-text {
  transform: translateY(0);
}
.service-link:focus .cover-text {
  transform: translateY(0);
}
.portfolio-foto {
  width: 100%;
  height: 100%;
}

.portfolio-cards {
  position: relative;
  /* width: calc((100% - 48px) / 3); */
  border: 1px solid #e7e9fc;
}

.cover-img:hover .cover-text {
  transform: translateY(0);
}
.cover-img:focus .cover-text {
  transform: translateY(0);
}

.cover-text {
  color: var(--button-collor);
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 1.5;
  background-color: var(--logo-color);
  padding-top: 40px;
  padding-bottom: 40px;
  text-align: start;
  letter-spacing: 0.02em;
  padding-left: 32px;
  padding-right: 32px;
  height: 100%;
  width: 100%;
  display: none;

  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.cover-img {
  position: relative;
  overflow: hidden;
  width: 100%;
}

/** MODAL**/

.backdrop {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bachgr-modal);
  transition: opacity 250ms cubic-bezier(0.4, 0, 0.2, 1),
    visibility 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal {
  max-width: 408px;
  width: 100%;
  min-height: 584px;
  border-radius: 4px;
  background: #fcfcfc;
  box-shadow: 0px 2px 1px 0px rgba(0, 0, 0, 0.2),
    0px 1px 3px 0px rgba(0, 0, 0, 0.12), 0px 1px 1px 0px rgba(0, 0, 0, 0.14);
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%) scaleY(1);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
  ransition: 300ms linear;
  padding: 72px 24px 24px;
}
.backdrop.is-hidden .modal {
  transform: translate(-50%, -50%) scaleY(0);
}

.close-button {
  display: flex;
  position: absolute;
  cursor: pointer;
  top: 24px;
  right: 24px;
  border-radius: 50%;
  justify-content: center;
  background-color: #e7e9fc;
  align-items: center;
  width: 24px;
  height: 24px;
  padding: 0;
  /* fill: none; */
  border: 1px solid rgba(0, 0, 0, 0.1);
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.close-button:hover,
.close-button:focus {
  background-color: var(--svg-hover-color);
  border: none;
  fill: var(--background-color);
}
.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.button-svg {
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.modal-title {
  text-align: center;
  color: var(--background-second-color);
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  margin-bottom: 16px;
}
.input-container {
  margin-bottom: 8px;
}

.input-modal {
  width: 100%;
  height: 40px;
  border-radius: 4px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  padding-left: 38px;
  background-color: transparent;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.input-modal:focus {
  border-color: var(--active-link-color);
}
.input-modal:focus + .name-icon-svg {
  fill: var(--active-link-color);
}

.laben-input {
  display: block;
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: #8e8f99;
  margin-bottom: 4px;
}
.name-input {
  position: relative;
  margin-bottom: 8px;
}
.name-icon-svg {
  position: absolute;
  left: 16px;
  top: 50%;
  transform: translateY(-50%);
  transition: fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.user-text {
  font-size: 12px;
  line-height: 1.17;
  letter-spacing: 0.04em;
  color: rgba(46, 47, 66, 0.4);
  background-color: transparent;
  padding: 8px 16px;
  width: 100%;
  height: 120px;
  border-radius: 4px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  resize: none;
  outline: transparent;
  transition: border-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.textarea-container {
  margin-bottom: 16px;
}

.user-text:focus {
  border-color: var(--active-link-color);
}
.user-text::placeholder {
  color: rgba(46, 47, 66, 0.4);
  font-size: 12px;
}
.check-container {
  margin-bottom: 24px;
}

.custom-checkbox {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 16px;
  height: 16px;
  border-radius: 2px;
  border: 1px solid rgba(46, 47, 66, 0.4);
  margin-right: 8px;
  fill: transparent;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1),
    border 250ms cubic-bezier(0.4, 0, 0.2, 1),
    fill 250ms cubic-bezier(0.4, 0, 0.2, 1);
}
.check-block {
  line-height: 1.17;
  letter-spacing: 0.04em;

  align-items: center;
  font-size: 12px;
  color: #8e8f99;
  margin-bottom: 24px;
}
.polisy-link {
  align-items: center;
  font-size: 12px;
  line-height: 1.2;
  letter-spacing: 0.03em;
  color: var(--active-link-color);
  text-decoration: underline;
}
.user-check:checked + .check-block .custom-checkbox {
  fill: var(--button-collor);
  background-color: var(--svg-hover-color);
  border: none;
}
.user-check:focus + .check-block .custom-checkbox {
  border-color: var(--active-link-color);
}

.submit-button {
  display: block;
  margin: 0 auto;
  min-width: 169px;
  height: 56px;
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.04em;
  text-align: center;
  background-color: #4d5ae5;
  color: #ffffff;
  cursor: pointer;
  padding: 16px 32px;
  border-radius: 4px;
  border: none;
  transition: background-color 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.submit-button:hover,
.submit-button:active,
.submit-button:focus {
  background-color: #404bbf;
}
